import { AllHTMLAttributes, ElementType } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CLinkProps extends Omit<AllHTMLAttributes<HTMLButtonElement | HTMLAnchorElement>, 'as'> {
    /**
     * Toggle the active state for the component.
     */
    active?: boolean;
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the component.
     */
    className?: string;
    /**
     * Toggle the disabled state for the component.
     */
    disabled?: boolean;
    /**
     * The href attribute specifies the URL of the page the link goes to.
     */
    href?: string;
}
export declare const CLink: PolymorphicRefForwardingComponent<'a', CLinkProps>;
