import React, { ElementType, HTMLAttributes } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CSidebarNavProps extends HTMLAttributes<HTMLUListElement> {
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     *
     * @since 5.0.0
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the component.
     */
    className?: string;
}
interface ContextProps {
    visibleGroup: string;
    setVisibleGroup: React.Dispatch<React.SetStateAction<string | undefined>>;
}
export declare const CNavContext: React.Context<ContextProps>;
export declare const CSidebarNav: PolymorphicRefForwardingComponent<'ul', CSidebarNavProps>;
export {};
